Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
curl --request POST \
--url https://api.spotflow.co/api/v1/transfers \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"reference": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"amount": 123,
"currency": "<string>",
"destination": {
"accountNumber": "<string>",
"accountName": "<string>",
"bankCode": "<string>"
},
"narration": "<string>"
}
'import requests
url = "https://api.spotflow.co/api/v1/transfers"
payload = {
"reference": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"amount": 123,
"currency": "<string>",
"destination": {
"accountNumber": "<string>",
"accountName": "<string>",
"bankCode": "<string>"
},
"narration": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
reference: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
amount: 123,
currency: '<string>',
destination: {accountNumber: '<string>', accountName: '<string>', bankCode: '<string>'},
narration: '<string>'
})
};
fetch('https://api.spotflow.co/api/v1/transfers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"reference": "c1fba25a-a36b-479c-b17d-64dbaf3ba32c",
"spotflowreference": "c1fba25a-a36b-479c-b17d-64dbaf3ba32c",
"amount": 0,
"currency": "NGN",
"transferMode": "7706438396",
"destination": {
"accountNumber": "7706438396",
"accountName": "Quantum Technologies",
"bankCode": "NGN100",
"branchCode": "NGN100",
"bankName": "Testbank MFB"
},
"narrations": "string",
"status": "string"
}{
"error": "Missing Parameter",
"message": "missing_parameter",
"status": 400
}{
"error": "Unauthorized",
"message": "invalid_credentials",
"status": 401
}Use this endpoint to perform payouts for currencies - NGN, GHS mobile money and bank accounts transfer using the bank code from our Get All Banks endpoint
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
A JSON array of create single disbursement objects.
"c1fba25a-a36b-479c-b17d-64dbaf3ba32c"
"c1fba25a-a36b-479c-b17d-64dbaf3ba32c"
0
"NGN"
"7706438396"
Show child attributes
"string"
"string"
